# List Portals

Get a list of portals associated with a pocket.

Endpoint: GET /api/v2/pockets/{pocket_id}/portals/
Version: Version: aec57205
Security: HTTPBearer

## Path parameters:

  - `pocket_id` (string, required)

## Query parameters:

  - `type[]` (any)

  - `status[]` (any)

  - `cursor` (any)

  - `limit` (integer)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required) — one of:
    - VirtualBankAccountPortal:
      - `id` (string, required)
      - `pocket_id` (string, required)
      - `time_created` (string, required)
      - `name` (string, required)
        Portal name
      - `status` (string, required)
        Portal status
        Enum: "OPEN", "CLOSED", "PENDING", "REJECTED"
      - `type` (string, required)
      - `routing_number` (string, required)
        Routing number
      - `account_number` (string, required)
        Account number
      - `payment_rails` (array, required)
        Specifies which payment rails (ACH, WIRE, ON_US) are accepted.
        Enum: "ACH", "WIRE", "ON_US"
    - CryptoDepositAddressPortal:
      - `id` (string, required)
      - `pocket_id` (string, required)
      - `time_created` (string, required)
      - `name` (string, required)
        Portal name
      - `status` (string, required)
        Portal status
        Enum: same as `status` in "VirtualBankAccountPortal" (4 values)
      - `type` (string, required)
      - `chain` (string, required)
        ETH is supported at this time.
      - `wallet_address` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


